Fonction Scilab

translatepaths - convertit un emsemble de répertoires contenant des M-files vers Scilab

### Calling Sequence

  `translatepaths(dirs_path [,res_path])`

### Parameters

- `dirs_path` : un vecteur de chaînes de caractères qui donne les chemains des répertoires à convertir
- `res_path` : une chaîne de caractère qui donne le chemin du répertoire où les fonctions Scilab seront écrites. Valeur par défaut : répertoire courant.

### Description

`translatepaths` , convertit tous les M-files contenus dans un ensemble de répertoires en fonctions Scilab. Chaque fonction est convertie par `mfile2sci` .

Toutes les informations de traduction sont stockées dans un fichier nommé `"log"` dans le répertoire `res_path` .

Un appel à `translatepaths()` sans rhs lance une interface graphique pour aider à la sélection d'un fichier/répertoire et des options.

### See Also

`mfile2sci` ,

### Authors

  V. Couvert
  S. Steer